Debian Bug report logs - #529720
crm114: Changes in .css files leads to data loss

version graph

Package: crm114; Maintainer for crm114 is Milan Zamazal <pdm@debian.org>; Source for crm114 is src:crm114.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Thu, 21 May 2009 06:12:01 UTC

Severity: critical

Found in version crm114/20090423-1

Fixed in version crm114/20090807-1

Done: Milan Zamazal <pdm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 06:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 06:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 08:08:27 +0200
Package: crm114
Version: 20090423-1
Severity: critical
Justification: causes serious data loss

Changes (again...) in .css files just made me lose about one full day of
mail...

All non whitelisted mails were apparently just trashed after the line, in my
.procmailrc, where they're piped to crm114.

Oh, I certainly got warned by mail as there is a NEWS.Debian entry about
this...and I ust apt-listchanges. "Unfortunately", that mail got trashed
just like others.

I find such change inacceptable for release and I already imagine what wll
happen to people who upgrade their mail servers from lenny to squeeze.

Actually, even the advice of "recreating .css files" is another way to lose
data.

I'm really very seriously considering if I should keep on using crm114 if
such changes happen and, at this very moment, I don't think this software
verson is suitable for release in Debian.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages crm114 depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libtre4                       0.7.5-2    regexp matching library with appro

Versions of packages crm114 recommends:
ii  metamail                      2.7-54     implementation of MIME

crm114 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Thu, 21 May 2009 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Thu, 21 May 2009 06:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 08:36:43 +0200
>>>>> "CP" == Christian Perrier <bubulle@debian.org> writes:

    CP> Oh, I certainly got warned by mail as there is a NEWS.Debian
    CP> entry about this...and I ust apt-listchanges. "Unfortunately",
    CP> that mail got trashed just like others.

If you want to prevent such problems, configure apt-listchanges to
display information before installation and to ask for confirmation.

    CP> I find such change inacceptable for release and I already
    CP> imagine what wll happen to people who upgrade their mail servers
    CP> from lenny to squeeze.

This has nothing to do with Debian.  It's an upstream decision.  It's
definitely not popular and if you hate it so much, there are some
options what you can do: 1. complain upstream; 2. use other classifier
than crm114; 3. fork crm114 and develop and maintain your own derivate;
4. write a .css file converter.

    CP> Actually, even the advice of "recreating .css files" is another
    CP> way to lose data.

I don't understand.  Recreating the .css files with mailreaver is
relatively easy and may even clean up and improve the .css files.

    CP> I'm really very seriously considering if I should keep on using
    CP> crm114 if such changes happen and, at this very moment, I don't
    CP> think this software verson is suitable for release in Debian.

I can understand your rage but as I've explained above I can't see in
your report what I should fix in the Debian package.





Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 07:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 07:06:02 GMT) Full text and rfc822 format available.

Message #15 received at 529720@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 529720@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 09:04:55 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 21 mai 2009 à 08:36 +0200, Milan Zamazal a écrit :
> >>>>> "CP" == Christian Perrier <bubulle@debian.org> writes:
> 
>     CP> Oh, I certainly got warned by mail as there is a NEWS.Debian
>     CP> entry about this...and I ust apt-listchanges. "Unfortunately",
>     CP> that mail got trashed just like others.
> 
> If you want to prevent such problems, configure apt-listchanges to
> display information before installation and to ask for confirmation.

Sorry, but the existence of apt-listchanges is not an excuse for
completely breaking existing setups. It can be an excuse for some more
or less important glitches, but not for losing data. 

> This has nothing to do with Debian.

Of course it has to do with Debian, it’s a Debian package. If you don’t
want it to be a Debian problem, maintain the package in your own
repository.

> I don't understand.  Recreating the .css files with mailreaver is
> relatively easy and may even clean up and improve the .css files.

The problem is not whether this is easy or not. The problem is that you
broke existing setups in a way that leads to serious data loss.

> I can understand your rage but as I've explained above I can't see in
> your report what I should fix in the Debian package.

Simple: if there is no reasonable upgrade path, you need to change the
binary package name. And of course, to do that in a way that does not
install the new version automatically. Bonus points go for changing the
binary names as well, so that both versions can be installed at once on
the system.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Thu, 21 May 2009 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Thu, 21 May 2009 07:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 529720@bugs.debian.org, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 09:31:40 +0200
>>>>> "JM" == Josselin Mouette <joss@debian.org> writes:

    JM> Simple: if there is no reasonable upgrade path, you need to
    JM> change the binary package name. And of course, to do that in a
    JM> way that does not install the new version automatically. 

This may be a good idea.  Do you know about packages with similar
properties (i.e. changing their data formats incompatibly) so that I
don't invent my own binary package naming scheme?  I can think about
PostgreSQL, but this is bound to upstream versions which is not the case
of crm114 (it doesn't change its data format with each upstream
version).

    JM> Bonus points go for changing the binary names as well, so that
    JM> both versions can be installed at once on the system.

I hate changing binary names across releases.





Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 10:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 10:18:39 GMT) Full text and rfc822 format available.

Message #25 received at 529720@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 11:30:39 +0200
[Message part 1 (text/plain, inline)]
Quoting Milan Zamazal (pdm@debian.org):
> >>>>> "CP" == Christian Perrier <bubulle@debian.org> writes:
> 
>     CP> Oh, I certainly got warned by mail as there is a NEWS.Debian
>     CP> entry about this...and I ust apt-listchanges. "Unfortunately",
>     CP> that mail got trashed just like others.
> 
> If you want to prevent such problems, configure apt-listchanges to
> display information before installation and to ask for confirmation.

Just as Joss answered, apt-listchanges should not be an excuse to
break existing setups.


> 
>     CP> I find such change inacceptable for release and I already
>     CP> imagine what wll happen to people who upgrade their mail servers
>     CP> from lenny to squeeze.
> 
> This has nothing to do with Debian.  It's an upstream decision.  It's
> definitely not popular and if you hate it so much, there are some
> options what you can do: 1. complain upstream; 2. use other classifier
> than crm114; 3. fork crm114 and develop and maintain your own derivate;
> 4. write a .css file converter.

The duty of the Debian maintainer is to smooth down impacts from
upstream changes. One of the recognized qualities of Debian is such
stability. So, we need to prepare our stable releases to avoid such breakages.

Another is probably bringing feedback to upstream that such changes
are very unwished by their users.

I admit that, as I'm using unstable, I'm opened to such breakage and,
even though that costed me a full day of worthy mail (which in turn
could cost the various parts of Debian I work on several consequences
because I may have missed important mails). That I can live with, in
some way.

But, at least, I expect my problems to benefit other users and
particularly to avoid what I consider to be enhanced to enter testing
and then break much more setups.

> 
>     CP> I'm really very seriously considering if I should keep on using
>     CP> crm114 if such changes happen and, at this very moment, I don't
>     CP> think this software verson is suitable for release in Debian.
> 
> I can understand your rage but as I've explained above I can't see in
> your report what I should fix in the Debian package.

At the very minimum, a critical priority debconf note displayed when
upgrading from a pre-20090423 version would be a good way to try your
best preventing the problem to appear. Debconf notes are discouraged
but I think that, here, we have a case where it would be better having
it than nothing.

I also came back on the NEWS.Debian entry and I think it is not
alarming enough as it mentions "on some architectures" (which a
careless reader would translate to "probably not on the most common
ones") and it just mentions that CRM114 might not work but not
that....mails piped through it will vanish.

Maybe more people will come up with better suggestions. I really think
that this bug should remain release critical so that it gets the
deserved attention by both you and other developers (I bet that many
use crm114 and many clever people can come up with good
suggestions....this is also what RC bugs are about).

Please accept some forms of apologies for showing up my "rage" in the
bug report (I admit I was) but also please don't take the RC bug as a
personal attack but more as a way to help you to provide the best
possible package for that software.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 10:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <Mehdi.Dogguy@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 10:48:10 GMT) Full text and rfc822 format available.

Message #30 received at 529720@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <Mehdi.Dogguy@pps.jussieu.fr>
To: Milan Zamazal <pdm@debian.org>, 529720@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 12:35:29 +0200
On  0, Milan Zamazal <pdm@debian.org> wrote:
>
> This may be a good idea.  Do you know about packages with similar
> properties (i.e. changing their data formats incompatibly) so that I
> don't invent my own binary package naming scheme?
>

Unison maintainer did that for some period because of protocol
changes. There have been unison and unison2.13.16 installable and
usable together in the same system, thank to alternatives. The latter
was kept for compatibility reasons with older distributions.

HTH,

-- 
Mehdi Dogguy
http://www.pps.jussieu.fr/~dogguy/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Thu, 21 May 2009 12:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Thu, 21 May 2009 12:06:05 GMT) Full text and rfc822 format available.

Message #35 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 13:58:17 +0200
>>>>> "CP" == Christian Perrier <bubulle@debian.org> writes:

    CP> The duty of the Debian maintainer is to smooth down impacts from
    CP> upstream changes. One of the recognized qualities of Debian is
    CP> such stability. So, we need to prepare our stable releases to
    CP> avoid such breakages.

    CP> Another is probably bringing feedback to upstream that such
    CP> changes are very unwished by their users.

This is not the first time .css format change has happened.  And yes, it
was reported and discussed upstream in the past.  They are willing to
avoid such changes but it may not always be easy.  More pressure
(i.e. from more users) on the upstream maintainers may or may not
improve things.  The .css format is generally not considered as very
fixed, e.g. it's not portable across architectures after all.

There were other upgrade problems in the past.  For instance, I
personally don't simply believe .crm scripts from the last version work
with a new one without changes and I always test that crm114 still works
after the upgrade.  I'd say that backward compatibility is not a crm114
feature and one must expect problems when upgrading crm114 to a new
version.  Of course, a user may not think about crm114 when typing
`apt-get upgrade'.  This wouldn't be a big problem if crm114 wasn't
typically used for things like e-mail delivery.

So the primary problem is how to _warn_ users that crm114 gets upgraded
with higher than casual risk of breaking things.  The current practice
of warning about important changes in NEWS.Debian seemed to work well so
far.  But I agree it may not be enough and I'm open to suggestions how
to improve it.

    CP> But, at least, I expect my problems to benefit other users and
    CP> particularly to avoid what I consider to be enhanced to enter
    CP> testing and then break much more setups.

Sure, you brave unstable users get hit by such problems and by reporting
them you prevent wider impacts.

    CP> At the very minimum, a critical priority debconf note displayed
    CP> when upgrading from a pre-20090423 version would be a good way
    CP> to try your best preventing the problem to appear. Debconf notes
    CP> are discouraged but I think that, here, we have a case where it
    CP> would be better having it than nothing.

Right now, I like this suggestion better than the binary package name
changes.  Some might not like it, but I may just try to add it and we'll
see what happens.

    CP> I also came back on the NEWS.Debian entry and I think it is not
    CP> alarming enough as it mentions "on some architectures" (which a
    CP> careless reader would translate to "probably not on the most
    CP> common ones") and it just mentions that CRM114 might not work
    CP> but not that....mails piped through it will vanish.

Good remark.

    CP> Maybe more people will come up with better suggestions. 

If no applicable precedent in other Debian packages is presented here,
I'll probably discuss the problem on debian-mentors.

    CP> I really think that this bug should remain release critical so
    CP> that it gets the deserved attention by both you and other
    CP> developers (I bet that many use crm114 and many clever people
    CP> can come up with good suggestions....this is also what RC bugs
    CP> are about).

Of course, I don't get rid of RC bugs without discussing them first.

    CP> Please accept some forms of apologies for showing up my "rage"
    CP> in the bug report (I admit I was) but also please don't take the
    CP> RC bug as a personal attack but more as a way to help you to
    CP> provide the best possible package for that software.

There is no need to apologize.  I just missed identification of the
_Debian package_ problem in your initial report and you've fixed it
now. :-)  Thanks for the report.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Thu, 21 May 2009 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Thu, 21 May 2009 12:18:04 GMT) Full text and rfc822 format available.

Message #40 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Mehdi Dogguy <Mehdi.Dogguy@pps.jussieu.fr>
Cc: 529720@bugs.debian.org, Josselin Mouette <joss@debian.org>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 14:13:42 +0200
>>>>> "MD" == Mehdi Dogguy <Mehdi.Dogguy@pps.jussieu.fr> writes:

    MD> Unison maintainer did that for some period because of protocol
    MD> changes. There have been unison and unison2.13.16 installable
    MD> and usable together in the same system, thank to
    MD> alternatives. The latter was kept for compatibility reasons with
    MD> older distributions.

Thanks for the suggestion.  I'm not familiar with the unison case, but I
guess the split was introduced to be able to talk to other computers?
This is not the case with crm114, I can't see any common reason having
more than one crm114 version on a single computer.  The crm114 problem
is different, how to prevent unnoticed upgrade.

Josselin, it's not clear to me how your "package name" arrangement would
ensure the opposite thing, that people don't miss new versions.
E.g. when one upgrades from lenny to squeeze, he could end up with old
lenny crm114 package after the upgrade, without noticing there is
something new in squeeze.  Or when one performs regular unstable
updates, how to retain crm114 up to date?





Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Chanoch (Ken) Bloom" <kbloom@gmail.com>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 14:12:04 GMT) Full text and rfc822 format available.

Message #45 received at 529720@bugs.debian.org (full text, mbox):

From: "Chanoch (Ken) Bloom" <kbloom@gmail.com>
To: 529720@bugs.debian.org
Subject: CRM114's .css format
Date: Thu, 21 May 2009 09:10:52 -0500
[Message part 1 (text/plain, inline)]
I don't use CRM114, but I just read Christian Perrier blog post on
planet.debian.org so I happened to check out this bug report.

Milan Zamazal wrote:
> This is not the first time .css format change has happened.  And yes, it
> was reported and discussed upstream in the past.  They are willing to
> avoid such changes but it may not always be easy.  More pressure
> (i.e. from more users) on the upstream maintainers may or may not
> improve things.  The .css format is generally not considered as very
> fixed, e.g. it's not portable across architectures after all.
> 
> There were other upgrade problems in the past.  For instance, I
> personally don't simply believe .crm scripts from the last version work
> with a new one without changes and I always test that crm114 still works
> after the upgrade.  I'd say that backward compatibility is not a crm114
> feature and one must expect problems when upgrading crm114 to a new
> version.  Of course, a user may not think about crm114 when typing
> `apt-get upgrade'.  This wouldn't be a big problem if crm114 wasn't
> typically used for things like e-mail delivery.
> 
> So the primary problem is how to _warn_ users that crm114 gets upgraded
> with higher than casual risk of breaking things.  The current practice
> of warning about important changes in NEWS.Debian seemed to work well so
> far.  But I agree it may not be enough and I'm open to suggestions how
> to improve it.

If upstream can't keep the .css format stable, then they should break
it more obviously so that crm114 can fail gracefully.

They should have a version number in the .css file header.  If they
find the wrong version number in a .css file, then crm114 should exit
immediately with a nonzero exit code, to indicate to the caller that
it can't handle mail, and the caller should hold on to the message in
whatever way it knows how (for example, if fetchmail is calling
crm114, then fetchmail wouldn't mark the email as read, and wouldn't
delete it from the server, and so that fetchmail could download the
same message in the next run.)

Just my two cents.

--Ken

-- 
Chanoch (Ken) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Thu, 21 May 2009 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Thu, 21 May 2009 19:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 529720@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Thu, 21 May 2009 20:54:55 +0200
[Message part 1 (text/plain, inline)]
Quoting Milan Zamazal (pdm@debian.org):

>     CP> At the very minimum, a critical priority debconf note displayed
>     CP> when upgrading from a pre-20090423 version would be a good way
>     CP> to try your best preventing the problem to appear. Debconf notes
>     CP> are discouraged but I think that, here, we have a case where it
>     CP> would be better having it than nothing.
> 
> Right now, I like this suggestion better than the binary package name
> changes.  Some might not like it, but I may just try to add it and we'll
> see what happens.

In such case, I'd suggest having a good review of the debconf template
on debian-l10n-english (that's one of my hats in Debian) as well as
getting a good round of translations for this update (that's another
of my hats). In short, I'd volunteer to coordinate this.

That's certainly a much simpler method...but actually not a universal
one (it won't work if people use the noninteractive debconf
frontend). Still, probably better than NEWS.Debian alone.

>     CP> Maybe more people will come up with better suggestions. 
> 
> If no applicable precedent in other Debian packages is presented here,
> I'll probably discuss the problem on debian-mentors.

Other packages have been using debconf notes in such cases. It not
completely widely accepted (I'm personnally a big fighter against
"useless notes") but it is accepted that, in few cases, it is an
acceptable solution.


-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Wed, 27 May 2009 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Wed, 27 May 2009 08:39:02 GMT) Full text and rfc822 format available.

Message #55 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: 529720@bugs.debian.org
Cc: "Chanoch \(Ken\) Bloom" <kbloom@gmail.com>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#529720: CRM114's .css format
Date: Wed, 27 May 2009 10:36:07 +0200
Thanks for all the suggestions.  I'll discuss the problem with upstream
again and then decide what to do.

On the Debian side, I'll probably implement the big debconf message.  It
should inform the user about the change and suggest stopping MTA on the
computer until crm114 behavior is checked (and fixed if necessary).  The
installation script could offer to stop the MTA itself, but I'm afraid
of situations when this action would fail, resulting in various problems
up to mail loss again.





Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Wed, 27 May 2009 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Wed, 27 May 2009 17:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 529720@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 529720@bugs.debian.org, "Chanoch (Ken) Bloom" <kbloom@gmail.com>
Subject: Re: Bug#529720: CRM114's .css format
Date: Wed, 27 May 2009 18:13:24 +0200
[Message part 1 (text/plain, inline)]
Quoting Milan Zamazal (pdm@debian.org):
> Thanks for all the suggestions.  I'll discuss the problem with upstream
> again and then decide what to do.
> 
> On the Debian side, I'll probably implement the big debconf message.  It
> should inform the user about the change and suggest stopping MTA on the
> computer until crm114 behavior is checked (and fixed if necessary).  The
> installation script could offer to stop the MTA itself, but I'm afraid
> of situations when this action would fail, resulting in various problems
> up to mail loss again.

That would need another debconf message and also detect what MTA is
running.

Also, even in situations where there is no local MTA, users could be
hit by this problem (fetchmail+procmail comes to my mind, not sure if
some setups can work without MTA but I'm fairly sure one can find
some).

So, any warning should be generic enough so that anyone using crm114,
or having some of his|her users potentially using it should be warned
loudly enough.

-- 



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Thu, 04 Jun 2009 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Thu, 04 Jun 2009 18:03:06 GMT) Full text and rfc822 format available.

Message #65 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 529720@bugs.debian.org
Subject: Re: Bug#529720: CRM114's .css format
Date: Thu, 04 Jun 2009 19:56:18 +0200
FYI in the meantime (the cause of the problem is unknown for now):
According to upstream, if you use mailreaver then all (lost) mail should
be stored in your mailreaver cache.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#529720; Package crm114. (Sun, 30 Aug 2009 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
Extra info received and forwarded to list. (Sun, 30 Aug 2009 17:45:03 GMT) Full text and rfc822 format available.

Message #70 received at 529720@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Sun, 30 Aug 2009 19:43:20 +0200
[Better late than never.]

The discussion with upstream has lead to no better solution than already
proposed, i.e. prompting the users on upgrade.  Future crm114 versions
may provide .css incompatibilities again (e.g. the recently released
beta version does).

So I've uploaded new package version today that implements debconf
prompting.  I tried to be as aggressive with the prompting as possible:

- The prompting is performed in preinst.  This is probably generally
  very discouraged, but I don't know about a better place for the given
  purpose.

- I ask a boolean debconf question instead of using a note.  This
  enforces user confirmation of the prompt.

- The debconf option value is reset before prompting in order to enforce
  displaying the question.

Would you please review `preinst' script and debconf `templates' in
crm114 20090423-2 to check whether they do the right thing?





Information forwarded to debian-bugs-dist@lists.debian.org, Milan Zamazal <pdm@debian.org>:
Bug#529720; Package crm114. (Mon, 31 Aug 2009 04:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Milan Zamazal <pdm@debian.org>. (Mon, 31 Aug 2009 04:24:10 GMT) Full text and rfc822 format available.

Message #75 received at 529720@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Milan Zamazal <pdm@debian.org>
Cc: 529720@bugs.debian.org
Subject: Re: Bug#529720: crm114: Changes in .css files leads to data loss
Date: Mon, 31 Aug 2009 06:16:15 +0200
[Message part 1 (text/plain, inline)]
Quoting Milan Zamazal (pdm@debian.org):

> So I've uploaded new package version today that implements debconf
> prompting.  I tried to be as aggressive with the prompting as possible:

Seems fair.


> Would you please review `preinst' script and debconf `templates' in
> crm114 20090423-2 to check whether they do the right thing?

I'll anyway launch a review of the template (and while at it a review
of debian/control) for English, writing style, etc., just as I always
do for all packages that introduce debconf templates. 

This will be followed by a round of translation updates.

Details will be in review announcement messages...



-- 


[signature.asc (application/pgp-signature, inline)]

Reply sent to Milan Zamazal <pdm@debian.org>:
You have taken responsibility. (Tue, 20 Oct 2009 12:39:03 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Tue, 20 Oct 2009 12:39:03 GMT) Full text and rfc822 format available.

Message #80 received at 529720-close@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: 529720-close@bugs.debian.org
Subject: Bug#529720: fixed in crm114 20090807-1
Date: Tue, 20 Oct 2009 12:02:05 +0000
Source: crm114
Source-Version: 20090807-1

We believe that the bug you reported is fixed in the latest version of
crm114, which is due to be installed in the Debian FTP archive:

crm114_20090807-1.diff.gz
  to pool/main/c/crm114/crm114_20090807-1.diff.gz
crm114_20090807-1.dsc
  to pool/main/c/crm114/crm114_20090807-1.dsc
crm114_20090807-1_amd64.deb
  to pool/main/c/crm114/crm114_20090807-1_amd64.deb
crm114_20090807.orig.tar.gz
  to pool/main/c/crm114/crm114_20090807.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 529720@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Milan Zamazal <pdm@debian.org> (supplier of updated crm114 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Oct 2009 09:52:37 +0200
Source: crm114
Binary: crm114
Architecture: source amd64
Version: 20090807-1
Distribution: unstable
Urgency: low
Maintainer: Milan Zamazal <pdm@debian.org>
Changed-By: Milan Zamazal <pdm@debian.org>
Description: 
 crm114     - versatile classifier for e-mail and other data
Closes: 529720 548060 548095 548789 548829 548992 549242 549582 549857 550175 550177 550812 551020
Changes: 
 crm114 (20090807-1) unstable; urgency=low
 .
   * New upstream version; closes: #548060.
   * Debconf templates and debian/control reviewed by the
     debian-l10n-english team as part of the Smith review project. Thanks
     to Christian Perrier and other contributors. Closes: #529720, #548095.
   * [Debconf translation updates]
   * Swedish (Martin Ågren); closes: #548789
   * Portuguese (Américo Monteiro); closes: #548829
   * Vietnamese (Clytie Siddall); closes: #548992
   * German (Thomas Mueller); closes: #549242
   * Italian (Luca Monducci); closes: #549582
   * Finnish (Esko Arajärvi); closes: #549857
   * Spanish (Francisco Javier Cuadrado); closes: #550175
   * Russian (Yuri Kozlov); closes: #550177
   * French (Christian Perrier); closes: #550812
   * Japanese (Hideki Yamane (Debian-JP)); closes: #551020
   * Czech (Milan Zamazal).
Checksums-Sha1: 
 5554dc19f17a27f29b0d588a0f815f5de3f5d683 1037 crm114_20090807-1.dsc
 81b659ac845a866418b0d540fbd00843504de22f 700759 crm114_20090807.orig.tar.gz
 3d00c33b44833a9a31cce06f6101aabd15d94209 32743 crm114_20090807-1.diff.gz
 1c11bde298058e5485a9c627cfe893daaf8fa86e 565082 crm114_20090807-1_amd64.deb
Checksums-Sha256: 
 7c1f16ed77728a2afa4daefa93477fafca3311cb9638ed845f094edc5d0bc427 1037 crm114_20090807-1.dsc
 b83996ac8fcb6f55d53fc4f17f4f692bbbaa335efe940bf532ca49b0eb12ffea 700759 crm114_20090807.orig.tar.gz
 0974df7fcf27704196c9cf25f0e0851cfb0f5f5c542c3acd4d92d9d2b6953435 32743 crm114_20090807-1.diff.gz
 071a4a8a18726b9c902852e9597b9519fa385181cff07cd1bb0447ff1f2df96c 565082 crm114_20090807-1_amd64.deb
Files: 
 0d254a53d5404a9d13b7066f9b1dc644 1037 mail optional crm114_20090807-1.dsc
 e3bccda2a497aa1bc78999229b427650 700759 mail optional crm114_20090807.orig.tar.gz
 a2c8c785292d75ee214d774e013486d3 32743 mail optional crm114_20090807-1.diff.gz
 74e2408bb6fac0ff27cf151c40d7691e 565082 mail optional crm114_20090807-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrdgVkACgkQkSkk/j3Cm0EugACguQ9HhMGRVJTWAQt6UxIhrFRq
V6kAnRHfQlqqCGb5rAQUu1r+lPeBSiXm
=220e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Nov 2009 07:30:25 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Tue, 23 Feb 2010 19:12:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Tue, 23 Feb 2010 19:12:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:12:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.